## RiskyMod
A full-game overhaul that aims to bring it closer to RoR1's balance. My main priority is multiplayer, but the mod is balanced in solo as well.

I highly recommed installing https://thunderstore.io/package/Moffein/EliteReworks/ to go with this.

Full change list can be found here. https://docs.google.com/document/d/1Igxdur0M33fdkcDLYgDEbLE0M4-89gSTorxgdn-oyKs/

This mod merges in fixes and tweaks from a bunch of other mods. If you have those mods installed, these fixes/changes will disable and the original mod will take priority (Except for Bandit Grace Period).

Feel free to take features of this mod and release them as standalone as long as you link the original GitHub repo in the README.

## Main Features

- Removed proc chains.
- Oneshot Protection now actually works.
	- Oneshot = Going from >90% HP to 0% HP in under 0.5s
	- Once triggered, you have to be out of danger (no damage for 7s) before it can be retriggered.
- Shields gate against HP damage like the Guardian's Heart in RoR1.
	- Transcendence/Perfected Affix disable Oneshot Protection due to having shieldgating built-in.
- Big balance pass over nearly all the items.
	- Bad items like Squid Polyps and Warbanners have gotten substantial buffs.
	- Strong damage items like AtGs and Elemental Bands now have lowered damage.
	- Most forms of range scaling have been removed.
- Big balance pass over all the Survivors
	- Less useless skill options, default Commando is good now!
- Drones performance now remains the same on all stages.

## Other Changes

- Combat Shrines give less money, but drop items for the team on completion.
- Teleporter radius expands once the boss is dead.
- Tweaked Commencement
	- Only 2 pillars are required to activate the jump pads.
	- Pillars drop items for the team on completion, and you can complete as many as you want.

## Installation
Place RiskyMod.dll **AND** the **language folder** in /Risk of Rain 2/BepInEx/plugins/RiskyMod

## Planned Changes (Not implemented yet)

*Mostly done with everything I've wanted to do with the mod. Plan going forward is to iron out the existing balance and do a bit of spawn pool tweaking. I don't like the state that Pennies/Watch/Elixir are in, and Corpsebloom/Desk Plant are still bad, but they probably won't get changed. I personally just blacklist them when playing.*

- Make Google Doc more readable/pretty.
	- Split up into multiple separate docs?
- Empathy Cores ignores ally limit?
- Defense Nucleus ignores ally limit?
	- Change scaling to +damage instead of +max allies.
- Run Scaling
	- Adjust gold scaling
- Void Fiend
	- Look at Utility
- Enemies
	- Enemy Pools
		- Make Wisps/Pests/Jellyfish never overlap on any stage?
		- Remove Alpha Constructs from all stages except Sulfur Pools
			- Alpha Constructs on Distant Roost postloop, instead of Titanic Plains?
		- Remove Xi Constructs from every map except Sulfur Pools (and maybe Sky Meadow?)
		- Sundered Grove
			- Remove Dunestrider
			- Remove Lemurians
			- Add Grovetender
			- Add Vultures
			- Remove either Larva or Jellyfish?
		- Should Larva be spawning on Aqueduct?
		- Worms on Aqueduct when looping.
		- Overloading Worms on any map that Magma Worms can spawn on.
		- Sky Meadow
			- Remove Xi Constructs?
			- Remove Alpha Consructs
			- Add Imps
			- Bring back Worms?
			- Add Lunar Golems?
	- Make Mushrums less cancer.
	
## Credits

Drone Targeting fix - ZetTweaks

Squid Polyp distraction - DestroyedClone

Language Support - Anreol

Skill Icons - KoobyKarasu

Acrid Hitbox Tweaks - TheTimesweeper

Buff Icons - SOM

## Changelog

`0.8.0`

- Fixed compatibility with the latest version of ClassicItems.
- REX
	- DIRECTIVE: Disperse
		- Re-added Weaken.
	- Bramble Volley
		- Removed Weaken.
		- Re-added Healing.
		
	*Moving REX's Utilities closer to Vanilla for the sake of familiarity. The modified push force remains. DIRECTIVE: Disperse retains its healing (5% per target compared to Bramble Volley's 10%) since it's not worth taking otherwise.*
	
- Void Fiend
	- Corrupt Mode
		- Removed bonus armor.
		
		*Since Void Fiend can freely heal while Corrupted, this isn't necessary anymore.*

- Run Scaling
	- Fixed incorrect config description for Modded Scaling.
	- Scale Gold to Initial Stage Difficulty
		- Gold rewards are now multiplied by CurrentDifficulty/InitialDifficulty squared, since Gold is a function of difficultyCoefficient squared.
	- Removed existing Experimental Gold Scaling options.
	- New Experimental Option: Modded Gold Reward Scaling (Disabled by default)
		- Multiplies Gold Rewards in a way that makes Gold Earn Rate scaling slower than Vanilla, while still allowing it to outpace chest price scaling.

- Allies
	- Fixed a lot of ally-related stat scaling changes not actually being applied due to the 0.7.0 update.
		- Fixed TC280 and Gunner Turrets not receiving shields.
		- Fixed Drone Damage Normalization not being applied.
		- Fixed Turret AOE Resistance not being applied.
		- Fixed Squid Polyp base max health not being increased.
		- Fixed ally regen not being changed.
		- Fixed ally stat scaling not being changed.
	
	- Updated Drone Targeting fix for parity with the current version of ZetTweaks.
		- Queens Gland Guards no longer fight back when hurt by their owners.
			- Can be re-enabled in the config.
		
	- Reduced ally leash distance from 400m -> 90m
	- Drones now spawn in Void Fields if No Void Damage is enabled.
	
	- Col. Droneman now ignores ally cap.
	
	- Gunner Turret
		- Increased bullet radius from 0.3 -> 0.5
		
	- Gunner Drone
		- Now will constantly attack as long as enemies are nearby.
		- Now never misses.
		- Attack Speed increases the amount of shots fired.
		- Increased shot damage from 5 -> 9
		
		*This allows it to kill Wisps in 1 burst.*
		
	- Missile Drone
		- Now will constantly attack as long as enemies are nearby.
		- Now fires MissileOrbs that never miss.
		- Attack Speed increases the amount of missiles fired.
		- Increased missile damage from 13 -> 15.6
		
		*This allows it to kill Jellyfish and Pests in a single burst.*
		
	- Backup Drone
		- Increased base damage from 8.5 -> 12
		- Lowered damage coefficient from 0.42 -> 0.25
		- Increased bullet radius from 0.3 -> 0.5
		
		*This should make their damage the same as Vanilla while allowing them to have the same benefit from Spare Drone Parts as other drones.*
		
	- Incinerator Drone
		- Reduced base cost from 100 -> 80
		- Increased Flamethrower range from 12m -> 18m
		- Reduced Flamethrower cooldown from 10s -> 5s
		
	- TC280
		- Increased bullet radius from 0.3 -> 0.5
		
	- Gunner Turret
		- Increased bullet radius from 0.3 -> 0.5

- Items
	- Fireworks
		- No longer trigger Bands.
		
	- Ukulele
		- Fixed range being set too low.
		
	- Squid Polyp
		- Reduced HP from 720 -> 480
			- HP increase wasn't working in the previous version.
		- Added Ignore Ally Cap config option (Enabled by Default, this is how it worked pre-update)
		- Vengeance Doppelganger lifetime reduced from 15s -> 10s.
			
	- Queen's Gland
		- Added Ignore Ally Cap config option (Enabled by Default, this is how it worked pre-update)
		- Now affected by Swarms like in Vanilla.
		- Fixed Guards not receiving stat boosts on the first stack.
		- Guards now immediately get their stat boosts updated when you gain/lose Glands.
			- If you lose all your Glands, your Guard will be treated as if you have 1 Gland.
		
	- Empathy Cores
		- Now ignores ally cap.
		
	- Defense Nucleus
		- Now ignores ally cap.
		- Now benefits from Ally Scaling changes.
		- Stacks no longer increase max Constructs.
		- Stacks now increase damage by +100% and HP by +30%.
		- Now inherits the Elite Affix of the enemy they were spawned off of.
			- Enabling this removes their spawning VFX (in Vanilla, they're spawned via a projectile so the kill info is lost)
			
	- Newly Hatched Zoea
		- Now ignores ally cap.
		- Now gets a +50% damage boost by default.
			- This accounts for Zoea spawns having the default +20% damage/level scaling that enemies have instead of +30%/level like drones.
		- Now caps at 8 allies max.
		- Going above 8 increases ally damage by 30% and HP by 30%.
		
		*Trying to find a number that keeps the fun Void armies this item can summon while not getting out of hand in MP when multiple people stack them. Will need to observe the performance and adjust accordingly.*
			
	- Ben's Raincoat
		- Added option to enable SOM's modded Raincoat buff icons from earlier versions of the mod. (Disabled by default)
		
- Equipment
	- Goobo Jr.
		- Damage increased from 200% -> 300%
		- Health increased from 200% -> 600%
		
		*This item is severely limited by its bad AI, but at least the clones won't die so easily now.*
		
- Enemies
	- Grandparent
		- Fixed Allied Grandparent Sun Friendly Fire for real.
		- Ignite DoT is now immediately cleared alongside the Sun Overheat debuff.
		
		*Ignite DoT icon may persist for a bit, but the actual damage should stop as soon as the Overheat buff icon disappears.*